AptonCD won't perform load

Bug #1175458 reported by sdurranc on 2013-05-02
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
APTonCD
Undecided
Unassigned
aptoncd (Ubuntu)
Undecided
Unassigned

Bug Description

I tried both update and new install of Ubuntu 13.04 with all updates applied. In both cases clicking on "load" in AptonCD does nothing. In previous versions of Ubuntu I've had a similar problem and installing "HAL" has fixed this issue. I read somewhere on the internet that HAL isn't used anymore and I didn't see it in the list of required packages, but went ahead and installed it anyway. Still nothing happens. The installed AptonCD package is "aptoncd_0.1.98+bzr117-1.2_all.deb".
  If I run AptonCD using the terminal then press the load button I get the following messages:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py", line 205, in on_btnLoadFrom
    bus = dbus_helper.DeviceList()
  File "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py", line 26, in __init__
    self.hal_object = self.bus.get_object('org.freedesktop.Hal', '/org/freedesktop/Hal/Manager')
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

Can you test the development version on
https://code.launchpad.net/~aptoncd-team?

---------------------------------------------------------------------------------------------------------------------------
Laudeci Oliveira
Official Ubuntu Member
Red Hat Certified Technician
Tecnólogo em Sistema de Informação

2013/5/2 sdurranc <email address hidden>

> Public bug reported:
>
> I tried both update and new install of Ubuntu 13.04 with all updates
> applied. In both cases clicking on "load" in AptonCD does nothing. In
> previous versions of Ubuntu I've had a similar problem and installing "HAL"
> has fixed this issue. I read somewhere on the internet that HAL isn't used
> anymore and I didn't see it in the list of required packages, but went
> ahead and installed it anyway. Still nothing happens. The installed
> AptonCD package is "aptoncd_0.1.98+bzr117-1.2_all.deb".
> If I run AptonCD using the terminal then press the load button I get the
> following messages:
>
> Traceback (most recent call last):
> File
> "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py", line
> 205, in on_btnLoadFrom
> bus = dbus_helper.DeviceList()
> File "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py",
> line 26, in __init__
> self.hal_object = self.bus.get_object('org.freedesktop.Hal',
> '/org/freedesktop/Hal/Manager')
> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in
> get_object
> follow_name_owner_changes=follow_name_owner_changes)
> File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 248, in
> __init__
> self._named_service = conn.activate_name_owner(bus_name)
> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in
> activate_name_owner
> self.start_service_by_name(bus_name)
> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in
> start_service_by_name
> 'su', (bus_name, flags)))
> File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in
> call_blocking
> message, timeout)
> dbus.exceptions.DBusException:
> org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with
> unknown return code 1
>
> ** Affects: aptoncd (Ubuntu)
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are a member of APTonCD-
> Dev Team, which is subscribed to aptoncd in Ubuntu.
> https://bugs.launchpad.net/bugs/1175458
>
> Title:
> AptonCD won't perform load
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/aptoncd/+bug/1175458/+subscriptions
>

sdurranc (sdurranc) wrote :
Download full text (4.1 KiB)

On 05/05/2013 01:27 PM, Laudeci Oliveira wrote:
> Can you test the development version on
> https://code.launchpad.net/~aptoncd-team?
>
> ---------------------------------------------------------------------------------------------------------------------------
> Laudeci Oliveira
> Official Ubuntu Member
> Red Hat Certified Technician
> Tecnólogo em Sistema de Informação
>
>
> 2013/5/2 sdurranc <email address hidden>
>
>> Public bug reported:
>>
>> I tried both update and new install of Ubuntu 13.04 with all updates
>> applied. In both cases clicking on "load" in AptonCD does nothing. In
>> previous versions of Ubuntu I've had a similar problem and installing "HAL"
>> has fixed this issue. I read somewhere on the internet that HAL isn't used
>> anymore and I didn't see it in the list of required packages, but went
>> ahead and installed it anyway. Still nothing happens. The installed
>> AptonCD package is "aptoncd_0.1.98+bzr117-1.2_all.deb".
>> If I run AptonCD using the terminal then press the load button I get the
>> following messages:
>>
>> Traceback (most recent call last):
>> File
>> "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py", line
>> 205, in on_btnLoadFrom
>> bus = dbus_helper.DeviceList()
>> File "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py",
>> line 26, in __init__
>> self.hal_object = self.bus.get_object('org.freedesktop.Hal',
>> '/org/freedesktop/Hal/Manager')
>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in
>> get_object
>> follow_name_owner_changes=follow_name_owner_changes)
>> File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 248, in
>> __init__
>> self._named_service = conn.activate_name_owner(bus_name)
>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in
>> activate_name_owner
>> self.start_service_by_name(bus_name)
>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in
>> start_service_by_name
>> 'su', (bus_name, flags)))
>> File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in
>> call_blocking
>> message, timeout)
>> dbus.exceptions.DBusException:
>> org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with
>> unknown return code 1
>>
>> ** Affects: aptoncd (Ubuntu)
>> Importance: Undecided
>> Status: New
>>
>> --
>> You received this bug notification because you are a member of APTonCD-
>> Dev Team, which is subscribed to aptoncd in Ubuntu.
>> https://bugs.launchpad.net/bugs/1175458
>>
>> Title:
>> AptonCD won't perform load
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/aptoncd/+bug/1175458/+subscriptions
>>
   Thank you for the prompt response! I downloaded the 123 version
dated 04/17/2013, clicked on restore then load and got this result:

sdurranc@sdurranc-MS-7514:~$ cd /tmp/~aptoncd-team/aptoncd/main
sdurranc@sdurranc-MS-7514:/tmp/~aptoncd-team/aptoncd/main$ aptoncd
Traceback (most recent call last):
   File
"/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py",
line 205, in on_btnLoadFrom
     bus = dbus_helper.DeviceList()...

Read more...

sdurranc (sdurranc) wrote :
Download full text (4.3 KiB)

On 05/05/2013 06:23 PM, Stan Durrance wrote:
> On 05/05/2013 01:27 PM, Laudeci Oliveira wrote:
>> Can you test the development version on
>> https://code.launchpad.net/~aptoncd-team?
>>
>> ---------------------------------------------------------------------------------------------------------------------------
>>
>> Laudeci Oliveira
>> Official Ubuntu Member
>> Red Hat Certified Technician
>> Tecnólogo em Sistema de Informação
>>
>>
>> 2013/5/2 sdurranc <email address hidden>
>>
>>> Public bug reported:
>>>
>>> I tried both update and new install of Ubuntu 13.04 with all updates
>>> applied. In both cases clicking on "load" in AptonCD does nothing. In
>>> previous versions of Ubuntu I've had a similar problem and
>>> installing "HAL"
>>> has fixed this issue. I read somewhere on the internet that HAL
>>> isn't used
>>> anymore and I didn't see it in the list of required packages, but went
>>> ahead and installed it anyway. Still nothing happens. The installed
>>> AptonCD package is "aptoncd_0.1.98+bzr117-1.2_all.deb".
>>> If I run AptonCD using the terminal then press the load button I
>>> get the
>>> following messages:
>>>
>>> Traceback (most recent call last):
>>> File
>>> "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py",
>>> line
>>> 205, in on_btnLoadFrom
>>> bus = dbus_helper.DeviceList()
>>> File "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py",
>>> line 26, in __init__
>>> self.hal_object = self.bus.get_object('org.freedesktop.Hal',
>>> '/org/freedesktop/Hal/Manager')
>>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in
>>> get_object
>>> follow_name_owner_changes=follow_name_owner_changes)
>>> File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line
>>> 248, in
>>> __init__
>>> self._named_service = conn.activate_name_owner(bus_name)
>>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in
>>> activate_name_owner
>>> self.start_service_by_name(bus_name)
>>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in
>>> start_service_by_name
>>> 'su', (bus_name, flags)))
>>> File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line
>>> 651, in
>>> call_blocking
>>> message, timeout)
>>> dbus.exceptions.DBusException:
>>> org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with
>>> unknown return code 1
>>>
>>> ** Affects: aptoncd (Ubuntu)
>>> Importance: Undecided
>>> Status: New
>>>
>>> --
>>> You received this bug notification because you are a member of APTonCD-
>>> Dev Team, which is subscribed to aptoncd in Ubuntu.
>>> https://bugs.launchpad.net/bugs/1175458
>>>
>>> Title:
>>> AptonCD won't perform load
>>>
>>> To manage notifications about this bug go to:
>>>
>>> https://bugs.launchpad.net/ubuntu/+source/aptoncd/+bug/1175458/+subscriptions
>>>
>>>
> Thank you for the prompt response! I downloaded the 123 version
> dated 04/17/2013, clicked on restore then load and got this result:
>
> sdurranc@sdurranc-MS-7514:~$ cd /tmp/~aptoncd-team/aptoncd/main
> sdurranc@sdurranc-MS-7514:/tmp/~aptoncd-team/aptoncd/main$ aptoncd
> Traceback (m...

Read more...

Laudeci Oliveira (laudeci) wrote :
Download full text (5.2 KiB)

So it worked?

---------------------------------------------------------------------------------------------------------------------------
Laudeci Oliveira
Official Ubuntu Member
Red Hat Certified Technician
Tecnólogo em Sistema de Informação

2013/5/5 sdurranc <email address hidden>

> On 05/05/2013 06:23 PM, Stan Durrance wrote:
> > On 05/05/2013 01:27 PM, Laudeci Oliveira wrote:
> >> Can you test the development version on
> >> https://code.launchpad.net/~aptoncd-team?
> >>
> >>
> ---------------------------------------------------------------------------------------------------------------------------
> >>
> >> Laudeci Oliveira
> >> Official Ubuntu Member
> >> Red Hat Certified Technician
> >> Tecnólogo em Sistema de Informação
> >>
> >>
> >> 2013/5/2 sdurranc <email address hidden>
> >>
> >>> Public bug reported:
> >>>
> >>> I tried both update and new install of Ubuntu 13.04 with all updates
> >>> applied. In both cases clicking on "load" in AptonCD does nothing. In
> >>> previous versions of Ubuntu I've had a similar problem and
> >>> installing "HAL"
> >>> has fixed this issue. I read somewhere on the internet that HAL
> >>> isn't used
> >>> anymore and I didn't see it in the list of required packages, but went
> >>> ahead and installed it anyway. Still nothing happens. The installed
> >>> AptonCD package is "aptoncd_0.1.98+bzr117-1.2_all.deb".
> >>> If I run AptonCD using the terminal then press the load button I
> >>> get the
> >>> following messages:
> >>>
> >>> Traceback (most recent call last):
> >>> File
> >>> "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py",
> >>> line
> >>> 205, in on_btnLoadFrom
> >>> bus = dbus_helper.DeviceList()
> >>> File "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py",
> >>> line 26, in __init__
> >>> self.hal_object = self.bus.get_object('org.freedesktop.Hal',
> >>> '/org/freedesktop/Hal/Manager')
> >>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in
> >>> get_object
> >>> follow_name_owner_changes=follow_name_owner_changes)
> >>> File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line
> >>> 248, in
> >>> __init__
> >>> self._named_service = conn.activate_name_owner(bus_name)
> >>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in
> >>> activate_name_owner
> >>> self.start_service_by_name(bus_name)
> >>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in
> >>> start_service_by_name
> >>> 'su', (bus_name, flags)))
> >>> File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line
> >>> 651, in
> >>> call_blocking
> >>> message, timeout)
> >>> dbus.exceptions.DBusException:
> >>> org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with
> >>> unknown return code 1
> >>>
> >>> ** Affects: aptoncd (Ubuntu)
> >>> Importance: Undecided
> >>> Status: New
> >>>
> >>> --
> >>> You received this bug notification because you are a member of APTonCD-
> >>> Dev Team, which is subscribed to aptoncd in Ubuntu.
> >>> https://bugs.launchpad.net/bugs/1175458
> >>>
> >>> Title:
> >>> AptonCD won't perform load
> >>>
> >>...

Read more...

Laudeci Oliveira (laudeci) wrote :
Download full text (5.7 KiB)

sorry, you must run it using ./aptoncd from the "main" directory.

---------------------------------------------------------------------------------------------------------------------------
Laudeci Oliveira
Official Ubuntu Member
Red Hat Certified Technician
Tecnólogo em Sistema de Informação

2013/5/6 Laudeci Oliveira <email address hidden>

> So it worked?
>
>
> ---------------------------------------------------------------------------------------------------------------------------
> Laudeci Oliveira
> Official Ubuntu Member
> Red Hat Certified Technician
> Tecnólogo em Sistema de Informação
>
>
> 2013/5/5 sdurranc <email address hidden>
>
>> On 05/05/2013 06:23 PM, Stan Durrance wrote:
>> > On 05/05/2013 01:27 PM, Laudeci Oliveira wrote:
>> >> Can you test the development version on
>> >> https://code.launchpad.net/~aptoncd-team?
>> >>
>> >>
>> ---------------------------------------------------------------------------------------------------------------------------
>> >>
>> >> Laudeci Oliveira
>> >> Official Ubuntu Member
>> >> Red Hat Certified Technician
>> >> Tecnólogo em Sistema de Informação
>> >>
>> >>
>> >> 2013/5/2 sdurranc <email address hidden>
>> >>
>> >>> Public bug reported:
>> >>>
>> >>> I tried both update and new install of Ubuntu 13.04 with all
>> updates
>> >>> applied. In both cases clicking on "load" in AptonCD does nothing.
>> In
>> >>> previous versions of Ubuntu I've had a similar problem and
>> >>> installing "HAL"
>> >>> has fixed this issue. I read somewhere on the internet that HAL
>> >>> isn't used
>> >>> anymore and I didn't see it in the list of required packages, but went
>> >>> ahead and installed it anyway. Still nothing happens. The installed
>> >>> AptonCD package is "aptoncd_0.1.98+bzr117-1.2_all.deb".
>> >>> If I run AptonCD using the terminal then press the load button I
>> >>> get the
>> >>> following messages:
>> >>>
>> >>> Traceback (most recent call last):
>> >>> File
>> >>> "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py",
>> >>> line
>> >>> 205, in on_btnLoadFrom
>> >>> bus = dbus_helper.DeviceList()
>> >>> File
>> "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py",
>> >>> line 26, in __init__
>> >>> self.hal_object = self.bus.get_object('org.freedesktop.Hal',
>> >>> '/org/freedesktop/Hal/Manager')
>> >>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in
>> >>> get_object
>> >>> follow_name_owner_changes=follow_name_owner_changes)
>> >>> File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line
>> >>> 248, in
>> >>> __init__
>> >>> self._named_service = conn.activate_name_owner(bus_name)
>> >>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in
>> >>> activate_name_owner
>> >>> self.start_service_by_name(bus_name)
>> >>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in
>> >>> start_service_by_name
>> >>> 'su', (bus_name, flags)))
>> >>> File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line
>> >>> 651, in
>> >>> call_blocking
>> >>> message, timeout)
>> >>> dbus.exceptions.DBusException:
>> >>> org.freedesktop.DBus.Error.Spawn...

Read more...

sdurranc (sdurranc) wrote :
Download full text (5.9 KiB)

On 05/06/2013 03:31 AM, Laudeci Oliveira wrote:
> sorry, you must run it using ./aptoncd from the "main" directory.
>
> ---------------------------------------------------------------------------------------------------------------------------
> Laudeci Oliveira
> Official Ubuntu Member
> Red Hat Certified Technician
> Tecnólogo em Sistema de Informação
>
>
> 2013/5/6 Laudeci Oliveira <email address hidden>
>
>> So it worked?
>>
>>
>> ---------------------------------------------------------------------------------------------------------------------------
>> Laudeci Oliveira
>> Official Ubuntu Member
>> Red Hat Certified Technician
>> Tecnólogo em Sistema de Informação
>>
>>
>> 2013/5/5 sdurranc <email address hidden>
>>
>>> On 05/05/2013 06:23 PM, Stan Durrance wrote:
>>>> On 05/05/2013 01:27 PM, Laudeci Oliveira wrote:
>>>>> Can you test the development version on
>>>>> https://code.launchpad.net/~aptoncd-team?
>>>>>
>>>>>
>>> ---------------------------------------------------------------------------------------------------------------------------
>>>>> Laudeci Oliveira
>>>>> Official Ubuntu Member
>>>>> Red Hat Certified Technician
>>>>> Tecnólogo em Sistema de Informação
>>>>>
>>>>>
>>>>> 2013/5/2 sdurranc <email address hidden>
>>>>>
>>>>>> Public bug reported:
>>>>>>
>>>>>> I tried both update and new install of Ubuntu 13.04 with all
>>> updates
>>>>>> applied. In both cases clicking on "load" in AptonCD does nothing.
>>> In
>>>>>> previous versions of Ubuntu I've had a similar problem and
>>>>>> installing "HAL"
>>>>>> has fixed this issue. I read somewhere on the internet that HAL
>>>>>> isn't used
>>>>>> anymore and I didn't see it in the list of required packages, but went
>>>>>> ahead and installed it anyway. Still nothing happens. The installed
>>>>>> AptonCD package is "aptoncd_0.1.98+bzr117-1.2_all.deb".
>>>>>> If I run AptonCD using the terminal then press the load button I
>>>>>> get the
>>>>>> following messages:
>>>>>>
>>>>>> Traceback (most recent call last):
>>>>>> File
>>>>>> "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py",
>>>>>> line
>>>>>> 205, in on_btnLoadFrom
>>>>>> bus = dbus_helper.DeviceList()
>>>>>> File
>>> "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py",
>>>>>> line 26, in __init__
>>>>>> self.hal_object = self.bus.get_object('org.freedesktop.Hal',
>>>>>> '/org/freedesktop/Hal/Manager')
>>>>>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in
>>>>>> get_object
>>>>>> follow_name_owner_changes=follow_name_owner_changes)
>>>>>> File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line
>>>>>> 248, in
>>>>>> __init__
>>>>>> self._named_service = conn.activate_name_owner(bus_name)
>>>>>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in
>>>>>> activate_name_owner
>>>>>> self.start_service_by_name(bus_name)
>>>>>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in
>>>>>> start_service_by_name
>>>>>> 'su', (bus_name, flags)))
>>>>>> File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line
>>>>>> 651, in
>>>>>> call_blocking
>>>>>> m...

Read more...

sdurranc (sdurranc) wrote :
Download full text (6.3 KiB)

On 05/06/2013 11:28 AM, Stan Durrance wrote:
> On 05/06/2013 03:31 AM, Laudeci Oliveira wrote:
>> sorry, you must run it using ./aptoncd from the "main" directory.
>>
>> ---------------------------------------------------------------------------------------------------------------------------
>>
>> Laudeci Oliveira
>> Official Ubuntu Member
>> Red Hat Certified Technician
>> Tecnólogo em Sistema de Informação
>>
>>
>> 2013/5/6 Laudeci Oliveira <email address hidden>
>>
>>> So it worked?
>>>
>>>
>>> ---------------------------------------------------------------------------------------------------------------------------
>>>
>>> Laudeci Oliveira
>>> Official Ubuntu Member
>>> Red Hat Certified Technician
>>> Tecnólogo em Sistema de Informação
>>>
>>>
>>> 2013/5/5 sdurranc <email address hidden>
>>>
>>>> On 05/05/2013 06:23 PM, Stan Durrance wrote:
>>>>> On 05/05/2013 01:27 PM, Laudeci Oliveira wrote:
>>>>>> Can you test the development version on
>>>>>> https://code.launchpad.net/~aptoncd-team?
>>>>>>
>>>>>>
>>>> ---------------------------------------------------------------------------------------------------------------------------
>>>>
>>>>>> Laudeci Oliveira
>>>>>> Official Ubuntu Member
>>>>>> Red Hat Certified Technician
>>>>>> Tecnólogo em Sistema de Informação
>>>>>>
>>>>>>
>>>>>> 2013/5/2 sdurranc <email address hidden>
>>>>>>
>>>>>>> Public bug reported:
>>>>>>>
>>>>>>> I tried both update and new install of Ubuntu 13.04 with all
>>>> updates
>>>>>>> applied. In both cases clicking on "load" in AptonCD does nothing.
>>>> In
>>>>>>> previous versions of Ubuntu I've had a similar problem and
>>>>>>> installing "HAL"
>>>>>>> has fixed this issue. I read somewhere on the internet that HAL
>>>>>>> isn't used
>>>>>>> anymore and I didn't see it in the list of required packages,
>>>>>>> but went
>>>>>>> ahead and installed it anyway. Still nothing happens. The installed
>>>>>>> AptonCD package is "aptoncd_0.1.98+bzr117-1.2_all.deb".
>>>>>>> If I run AptonCD using the terminal then press the load
>>>>>>> button I
>>>>>>> get the
>>>>>>> following messages:
>>>>>>>
>>>>>>> Traceback (most recent call last):
>>>>>>> File
>>>>>>> "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py",
>>>>>>>
>>>>>>> line
>>>>>>> 205, in on_btnLoadFrom
>>>>>>> bus = dbus_helper.DeviceList()
>>>>>>> File
>>>> "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py",
>>>>>>> line 26, in __init__
>>>>>>> self.hal_object = self.bus.get_object('org.freedesktop.Hal',
>>>>>>> '/org/freedesktop/Hal/Manager')
>>>>>>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line
>>>>>>> 241, in
>>>>>>> get_object
>>>>>>> follow_name_owner_changes=follow_name_owner_changes)
>>>>>>> File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line
>>>>>>> 248, in
>>>>>>> __init__
>>>>>>> self._named_service = conn.activate_name_owner(bus_name)
>>>>>>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line
>>>>>>> 180, in
>>>>>>> activate_name_owner
>>>>>>> self.start_service_by_name(bus_name)
>>>>>>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line
>>>>>>> 278, in
>>>>>>> ...

Read more...

Laudeci Oliveira (laudeci) wrote :
Download full text (7.3 KiB)

No, Fabrice is the package master responsible for that.
:)

---------------------------------------------------------------------------------------------------------------------------
Laudeci Oliveira
Official Ubuntu Member
Red Hat Certified Technician
Tecnólogo em Sistema de Informação

2013/5/10 sdurranc <email address hidden>

> On 05/06/2013 11:28 AM, Stan Durrance wrote:
> > On 05/06/2013 03:31 AM, Laudeci Oliveira wrote:
> >> sorry, you must run it using ./aptoncd from the "main" directory.
> >>
> >>
> ---------------------------------------------------------------------------------------------------------------------------
> >>
> >> Laudeci Oliveira
> >> Official Ubuntu Member
> >> Red Hat Certified Technician
> >> Tecnólogo em Sistema de Informação
> >>
> >>
> >> 2013/5/6 Laudeci Oliveira <email address hidden>
> >>
> >>> So it worked?
> >>>
> >>>
> >>>
> ---------------------------------------------------------------------------------------------------------------------------
> >>>
> >>> Laudeci Oliveira
> >>> Official Ubuntu Member
> >>> Red Hat Certified Technician
> >>> Tecnólogo em Sistema de Informação
> >>>
> >>>
> >>> 2013/5/5 sdurranc <email address hidden>
> >>>
> >>>> On 05/05/2013 06:23 PM, Stan Durrance wrote:
> >>>>> On 05/05/2013 01:27 PM, Laudeci Oliveira wrote:
> >>>>>> Can you test the development version on
> >>>>>> https://code.launchpad.net/~aptoncd-team?
> >>>>>>
> >>>>>>
> >>>>
> ---------------------------------------------------------------------------------------------------------------------------
> >>>>
> >>>>>> Laudeci Oliveira
> >>>>>> Official Ubuntu Member
> >>>>>> Red Hat Certified Technician
> >>>>>> Tecnólogo em Sistema de Informação
> >>>>>>
> >>>>>>
> >>>>>> 2013/5/2 sdurranc <email address hidden>
> >>>>>>
> >>>>>>> Public bug reported:
> >>>>>>>
> >>>>>>> I tried both update and new install of Ubuntu 13.04 with all
> >>>> updates
> >>>>>>> applied. In both cases clicking on "load" in AptonCD does nothing.
> >>>> In
> >>>>>>> previous versions of Ubuntu I've had a similar problem and
> >>>>>>> installing "HAL"
> >>>>>>> has fixed this issue. I read somewhere on the internet that HAL
> >>>>>>> isn't used
> >>>>>>> anymore and I didn't see it in the list of required packages,
> >>>>>>> but went
> >>>>>>> ahead and installed it anyway. Still nothing happens. The installed
> >>>>>>> AptonCD package is "aptoncd_0.1.98+bzr117-1.2_all.deb".
> >>>>>>> If I run AptonCD using the terminal then press the load
> >>>>>>> button I
> >>>>>>> get the
> >>>>>>> following messages:
> >>>>>>>
> >>>>>>> Traceback (most recent call last):
> >>>>>>> File
> >>>>>>>
> "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py",
> >>>>>>>
> >>>>>>> line
> >>>>>>> 205, in on_btnLoadFrom
> >>>>>>> bus = dbus_helper.DeviceList()
> >>>>>>> File
> >>>> "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py",
> >>>>>>> line 26, in __init__
> >>>>>>> self.hal_object = self.bus.get_object('org.freedesktop.Hal',
> >>>>>>> '/org/freedesktop/Hal/Manager')
> >>>>>>> File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line
> >>>>>>> 241, in
> >>>>>>> get_object
> >>>...

Read more...

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in aptoncd (Ubuntu):
status: New → Confirmed
sdurranc (sdurranc) on 2013-10-08
no longer affects: aptoncd
description: updated
sdurranc (sdurranc) wrote :

  I was imformed about 5-6 months ago that it was too late for an update to Aptoncd for Ubuntu 13.04, but the a revised version would be put in place for Ubuntu 13.10. The version in the team area here in launchpad still seems to work, but the version in the Ubuntu with all updates applied still has a problem and produces the following when "restore" then "load" is entered:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py", line 205, in on_btnLoadFrom
    bus = dbus_helper.DeviceList()
  File "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py", line 26, in __init__
    self.hal_object = self.bus.get_object('org.freedesktop.Hal', '/org/freedesktop/Hal/Manager')
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files

sdurranc (sdurranc) wrote :

  Oops ... the last comment above is with Ubuntu 13.10 and all updates applied.

sdurranc (sdurranc) wrote :

The following entry previously made about 26 minutes ago by me was accidently/erroneously entered, so please delete/disreguard:

no longer affects: aptoncd
description: updated

The above isn't true.

sdurranc (sdurranc) wrote :

  The APTONCD from your team's area still works, but was wondering if and when it or a working version will be placed in the Ubuntu repositories (Ubuntu 14.02?)? I just tried APTONCD in repository of Ubuntu 13.10 with all updates applied and it still gives the following error messages:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py", line 205, in on_btnLoadFrom
    bus = dbus_helper.DeviceList()
  File "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py", line 26, in __init__
    self.hal_object = self.bus.get_object('org.freedesktop.Hal', '/org/freedesktop/Hal/Manager')
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/apport_python_hook.py", line 96, in apport_excepthook
    dbus_service_unknown_analysis(exc_obj, pr)
  File "/usr/lib/python2.7/dist-packages/apport_python_hook.py", line 172, in dbus_service_unknown_analysis
    cp = ConfigParser(interpolation=None)
TypeError: __init__() got an unexpected keyword argument 'interpolation'

Original exception was:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py", line 205, in on_btnLoadFrom
    bus = dbus_helper.DeviceList()
  File "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py", line 26, in __init__
    self.hal_object = self.bus.get_object('org.freedesktop.Hal', '/org/freedesktop/Hal/Manager')
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files

sdurranc (sdurranc) wrote :

  The APTONCD from your team's area still works, but was wondering if and when it or a working version will be placed in the Ubuntu repositories (Ubuntu 14.04?)? I just tried APTONCD in repository of Ubuntu 14.04 Beta with all updates applied and it still gives the following error messages:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/APTonCD/restore/restoreWindow.py", line 205, in on_btnLoadFrom
    bus = dbus_helper.DeviceList()
  File "/usr/lib/python2.7/dist-packages/APTonCD/core/dbus_helper.py", line 26, in __init__
    self.hal_object = self.bus.get_object('org.freedesktop.Hal', '/org/freedesktop/Hal/Manager')
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files

sdurranc (sdurranc) wrote :

  AptonCD "load" hasn't been working for a very-very long time now (?1 1/2 years?) ... Even up to today with all updates applied to Ubuntu 14.10 which uses AptonCD version 0.1.98+bzr117-1.4. Also the AptonCD team's version quit working for the "load" function 6 or more months ago.

Laudeci Oliveira (laudeci) wrote :

Please, install udisks and try again.

sudo apt-get install udisks.

Sorry to take so long to answer.

Installing "udisks" fixed the "load/restore" problem with the AptonCD
version in your teams area.

Do you know when that version might be put into the Ubuntu 14.04 repository?

Thank you for all your help!

On Mon, Oct 27, 2014 at 8:07 PM, Laudeci Oliveira <email address hidden> wrote:

> Please, install udisks and try again.
>
> sudo apt-get install udisks.
>
> Sorry to take so long to answer.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1175458
>
> Title:
> AptonCD won't perform load
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/aptoncd/+bug/1175458/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers